ros-rolling-ros2pkg (0.40.6-2resolute) resolute; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 Apr 2026 00:09:30 -0000

ros-rolling-ros2pkg (0.40.5-2resolute) resolute; urgency=high

  * Remove "rclrs" duplicate dependency (#1197 <https://github.com/ros2/ros2cli//issues/1197>)
  * Fix future flake8 regressions (#1196 <https://github.com/ros2/ros2cli//issues/1196>)
  * Contributors: Bartlomiej Styczen, Michael Carlstrom

 -- Audrow Nash <audrow@openrobotics.org>  Sat, 07 Mar 2026 06:00:00 -0000

ros-rolling-ros2pkg (0.40.4-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 07 Jan 2026 06:00:00 -0000

ros-rolling-ros2pkg (0.40.3-2resolute) resolute; urgency=high

  * Add Native ROS2 Rust Package Create Capability (#1107 <https://github.com/ros2/ros2cli/issues/1107>)
  * Remove importlib packages (#1117 <https://github.com/ros2/ros2cli/issues/1117>)
  * Contributors: Michael Carlstrom, Parth Patel

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 09 Dec 2025 06:00:00 -0000

ros-rolling-ros2pkg (0.40.2-2resolute) resolute; urgency=high

  * add mypy (#1109 <https://github.com/ros2/ros2cli//issues/1109>)
  * Contributors: Michael Carlstrom

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 18 Nov 2025 06:00:00 -0000

ros-rolling-ros2pkg (0.40.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 Sep 2025 05:00:00 -0000

ros-rolling-ros2pkg (0.40.0-2resolute) resolute; urgency=high

  * fix cmake deprecation (#1082 <https://github.com/ros2/ros2cli/issues/1082>)
  * fix setuptools deprecations (#1066 <https://github.com/ros2/ros2cli/issues/1066>)
  * Contributors: mosfet80

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 29 Jul 2025 05:00:00 -0000

ros-rolling-ros2pkg (0.39.2-2resolute) resolute; urgency=high

  * Make sure to install py.typed files (#1058 <https://github.com/ros2/ros2cli/issues/1058>)
  * Contributors: Christophe Bedard

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Jul 2025 05:00:00 -0000

ros-rolling-ros2pkg (0.39.1-2resolute) resolute; urgency=high

  * Reduce boilerplate in install(TARGETS for library (#1056 <https://github.com/ros2/ros2cli/issues/1056>)
  * Export Typing information (#1041 <https://github.com/ros2/ros2cli/issues/1041>)
  * Contributors: Michael Carlstrom, Silvio Traversaro

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 19 Jun 2025 05:00:00 -0000

ros-rolling-ros2pkg (0.39.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 25 Apr 2025 05:00:00 -0000

ros-rolling-ros2pkg (0.38.0-2resolute) resolute; urgency=high

  * Use modern C++17 syntax. (#982 <https://github.com/ros2/ros2cli/issues/982>)
  * Use target_link_libraries instead of ament_target_dependencies (#973 <https://github.com/ros2/ros2cli/issues/973>)
  * Try to use the git global user.name for maintainer-name (#968 <https://github.com/ros2/ros2cli/issues/968>)
  * Update minimum CMake version CMakeLists.txt.em (#969 <https://github.com/ros2/ros2cli/issues/969>)
  * Contributors: Larry Gezelius, Sebastian Castro, Shane Loretz, Shynur

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 25 Apr 2025 05:00:00 -0000

ros-rolling-ros2pkg (0.37.0-2resolute) resolute; urgency=high

  * Add ament_xmllint test by default to ament_python packages. (#957 <https://github.com/ros2/ros2cli/issues/957>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 02 Feb 2025 06:00:00 -0000

ros-rolling-ros2pkg (0.36.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 20 Dec 2024 06:00:00 -0000

ros-rolling-ros2pkg (0.36.0-2resolute) resolute; urgency=high

  * Drop dependency on python3-pkg-resources (#946 <https://github.com/ros2/ros2cli/issues/946>)
  * Contributors: Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 20 Nov 2024 06:00:00 -0000

ros-rolling-ros2pkg (0.35.0-2resolute) resolute; urgency=high

  * Support empy4 and empy3 (#921 <https://github.com/ros2/ros2cli/issues/921>)
  * Contributors: Alejandro Hernández Cordero

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 03 Oct 2024 05:00:00 -0000

ros-rolling-ros2pkg (0.34.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 29 Jul 2024 05:00:00 -0000

ros-rolling-ros2pkg (0.34.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Jun 2024 05:00:00 -0000

ros-rolling-ros2pkg (0.33.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 26 Apr 2024 05:00:00 -0000

ros-rolling-ros2pkg (0.32.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 16 Apr 2024 05:00:00 -0000

ros-rolling-ros2pkg (0.31.2-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Mar 2024 05:00:00 -0000

ros-rolling-ros2pkg (0.31.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 07 Feb 2024 06:00:00 -0000

ros-rolling-ros2pkg (0.31.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 24 Jan 2024 06:00:00 -0000

ros-rolling-ros2pkg (0.30.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 Dec 2023 06:00:00 -0000

ros-rolling-ros2pkg (0.30.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 06 Nov 2023 06:00:00 -0000

ros-rolling-ros2pkg (0.29.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 04 Oct 2023 05:00:00 -0000

ros-rolling-ros2pkg (0.29.0-2resolute) resolute; urgency=high

  * Update the package template for our new include directories. (#847 <https://github.com/ros2/ros2cli/issues/847>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 21 Aug 2023 05:00:00 -0000

ros-rolling-ros2pkg (0.28.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Jul 2023 05:00:00 -0000

ros-rolling-ros2pkg (0.27.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 07 Jun 2023 05:00:00 -0000

ros-rolling-ros2pkg (0.26.1-2resolute) resolute; urgency=high

  * Fix typo in ros2pkg warning message. (#827 <https://github.com/ros2/ros2cli/issues/827>)
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 May 2023 05:00:00 -0000

ros-rolling-ros2pkg (0.26.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-rolling-ros2pkg (0.25.0-2resolute) resolute; urgency=high

  * Make all of the dependencies in pure Python packages exec_depend. (#823 <https://github.com/ros2/ros2cli/issues/823>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 18 Apr 2023 05:00:00 -0000

ros-rolling-ros2pkg (0.24.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Apr 2023 05:00:00 -0000

ros-rolling-ros2pkg (0.24.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-rolling-ros2pkg (0.23.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 02 Mar 2023 06:00:00 -0000

ros-rolling-ros2pkg (0.22.0-2resolute) resolute; urgency=high

  * resolve #790 <https://github.com/ros2/ros2cli/issues/790> (#801 <https://github.com/ros2/ros2cli/issues/801>)
  * Add alias library targets for CMake (#718 <https://github.com/ros2/ros2cli/issues/718>)
  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash, Kenji Brameld, RFRIEDM-Trimble

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 14 Feb 2023 06:00:00 -0000

ros-rolling-ros2pkg (0.21.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 02 Nov 2022 05:00:00 -0000

ros-rolling-ros2pkg (0.20.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 13 Sep 2022 05:00:00 -0000

ros-rolling-ros2pkg (0.19.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 29 Apr 2022 05:00:00 -0000

ros-rolling-ros2pkg (0.18.3-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-rolling-ros2pkg (0.18.2-2resolute) resolute; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 30 Mar 2022 05:00:00 -0000

ros-rolling-ros2pkg (0.18.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-rolling-ros2pkg (0.18.0-2resolute) resolute; urgency=high

  * Use local git config instead of global (#693 <https://github.com/ros2/ros2cli/issues/693>)
  * Contributors: Amro Al-Baali

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-rolling-ros2pkg (0.17.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 25 Jan 2022 06:00:00 -0000

ros-rolling-ros2pkg (0.16.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-rolling-ros2pkg (0.16.0-2resolute) resolute; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * [ros2pkg] Skip copyright tests in template packages (#676 <https://github.com/ros2/ros2cli/issues/676>)
  * Contributors: Abrar Rahman Protyasha, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-rolling-ros2pkg (0.15.0-2resolute) resolute; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Generate LICENSE files on ros2 pkg create. (#650 <https://github.com/ros2/ros2cli/issues/650>)
  * Handle ValueError (#643 <https://github.com/ros2/ros2cli/issues/643>)
  * Pass package exports to template in pkg create api (#619 <https://github.com/ros2/ros2cli/issues/619>) (#628 <https://github.com/ros2/ros2cli/issues/628>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Chris Lalancette, Ivan Santiago Paunovic, rob-clarke, tim-fan

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Nov 2021 06:00:00 -0000

ros-rolling-ros2pkg (0.14.0-2resolute) resolute; urgency=high

  * Use underscores in setup.cfg.em instead of dashes. (#627 <https://github.com/ros2/ros2cli/issues/627>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 26 Apr 2021 05:00:00 -0000

ros-rolling-ros2pkg (0.13.0-2resolute) resolute; urgency=high

  * Add space for "ROS 2". (#617 <https://github.com/ros2/ros2cli/issues/617>)
  * Use target_compile_features for c/c++ standards. (#615 <https://github.com/ros2/ros2cli/issues/615>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-rolling-ros2pkg (0.12.0-2resolute) resolute; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 02 Mar 2021 06:00:00 -0000

ros-rolling-ros2pkg (0.11.0-2resolute) resolute; urgency=high

  * Declare missing dependency on python3-importlib-resources. (#584 <https://github.com/ros2/ros2cli/issues/584>)
  * Contributors: Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-rolling-ros2pkg (0.10.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 08 Dec 2020 06:00:00 -0000

ros-rolling-ros2pkg (0.10.0-2resolute) resolute; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Fix incorrect EXPORT for executables. (#545 <https://github.com/ros2/ros2cli/issues/545>)
  * Switch ros2pkg to using importlib.
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 02 Nov 2020 06:00:00 -0000

ros-rolling-ros2pkg (0.9.5-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Jun 2020 05:00:00 -0000

ros-rolling-ros2pkg (0.9.4-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-rolling-ros2pkg (0.9.3-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 13 May 2020 05:00:00 -0000

ros-rolling-ros2pkg (0.9.2-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 05:00:00 -0000

ros-rolling-ros2pkg (0.9.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 06 May 2020 05:00:00 -0000

ros-rolling-ros2pkg (0.9.0-2resolute) resolute; urgency=high

  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * Use ament_export_targets(). (#478 <https://github.com/ros2/ros2cli/issues/478>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove ready_fn from test descriptions. (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Merge pull request #428 <https://github.com/ros2/ros2cli/issues/428> from ros2/tfoote-patch-1
    fix create_pkg dependencies for python
  * Consistent interpretation of dependency type
  * Contributors: Dirk Thomas, Peter Baughman, Steven! Ragnarök, Tully Foote

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 Apr 2020 05:00:00 -0000

ros-rolling-ros2pkg (0.8.6-2resolute) resolute; urgency=high

  * Fix new linter warnings as of flake8-comprehensions 3.1.0. (#399 <https://github.com/ros2/ros2cli/issues/399>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-rolling-ros2pkg (0.8.5-2resolute) resolute; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 14 Nov 2019 06:00:00 -0000

ros-rolling-ros2pkg (0.8.4-2resolute) resolute; urgency=high

  * 0.8.4
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-rolling-ros2pkg (0.8.3-2resolute) resolute; urgency=high

  * 0.8.3
  * End-to-end test coverage for CLI commands output. (#304 <https://github.com/ros2/ros2cli/issues/304>)
    * Add end-to-end CLI output tests for ros2:
    - ros2action
    - ros2service
    - ros2topic
    - ros2msg
    - ros2srv
    - ros2interface
    - ros2node
    - ros2pkg
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-rolling-ros2pkg (0.8.2-2resolute) resolute; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 08 Oct 2019 05:00:00 -0000

ros-rolling-ros2pkg (0.8.1-2resolute) resolute; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-rolling-ros2pkg (0.8.0-2resolute) resolute; urgency=high

  * Install resource marker file for packages. (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Add ros2 pkg create for ament python. (#296 <https://github.com/ros2/ros2cli/issues/296>)
    * Add pkg create for ament_python.
    * Add entries for setup.py to make it closer to package.xml.
    * Fix yucky formatting.
    * Provide default node name for python if one is not provided. Refactor how cpp node names are handle so we do sane things if using python build tool, but pass in a cpp node name.
    * Fix formatting issues brought up by colcon test.
    * PR feedback.
    * Replace --cpp-node-name and --python-node-name options with --node-name option.
    * Handle library_name option for ament_python packages.
    * Add default linters to ament_python packages.
    * Abort when package name = test.
    * PR feedback: Remove unneccessary new lines.
    * PR Feedback: Improve error message.
  * Update setup.py version. (#331 <https://github.com/ros2/ros2cli/issues/331>)
    Versions now match latest tag and package.xml.
  * Install package manifest. (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Rename package-format to match other flags. (#291 <https://github.com/ros2/ros2cli/issues/291>)
  * Add pkg xml verb. (#280 <https://github.com/ros2/ros2cli/issues/280>)
    * Add pkg xml verb
    * Fix helper wording
    * Fix logic & default tag opt
    * Typo
    * Fix pkg name autocomplete
    * Exit earlier & use None actual type
    * Minor updates
  * Contributors: Dirk Thomas, Jacob Perron, Jeremie Deray, Ted Kern, jpace121

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-rolling-ros2pkg (0.7.4-2resolute) resolute; urgency=high

  * Abort pkg create if destination directory exists. (#258 <https://github.com/ros2/ros2cli/issues/258>)
    * Abort pkg create if destination directory exists
    * Move check up
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-rolling-ros2pkg (0.7.3-2resolute) resolute; urgency=high

  * Add support for creating a package with format 3. (#239 <https://github.com/ros2/ros2cli/issues/239>)
    * Add support for creating a package with format 3
    * Default to format 3
  * Contributors: Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-rolling-ros2pkg (0.7.2-2resolute) resolute; urgency=high

  * Add xmllint linter test. (#232 <https://github.com/ros2/ros2cli/issues/232>)
    * Add xmllint test to ament_python packages
    * Cover new packages as well
  * Contributors: Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-rolling-ros2pkg (0.7.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Apr 2019 05:00:00 -0000

ros-rolling-ros2pkg (0.7.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-rolling-ros2pkg (0.6.3-2resolute) resolute; urgency=high

  * Use all linters by default. (#194 <https://github.com/ros2/ros2cli/issues/194>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Feb 2019 06:00:00 -0000

ros-rolling-ros2pkg (0.6.2-2resolute) resolute; urgency=high

  * Use collections.abc.Iterable. (#177 <https://github.com/ros2/ros2cli/issues/177>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Dec 2018 06:00:00 -0000

ros-rolling-ros2pkg (0.6.1-2resolute) resolute; urgency=high

  * 0.6.1
    bump package.xml, setup.py and setup.cfg versions
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-rolling-ros2pkg (0.6.0-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 19 Nov 2018 06:00:00 -0000

ros-rolling-ros2pkg (0.5.4-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 20 Aug 2018 05:00:00 -0000

ros-rolling-ros2pkg (0.5.3-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 17 Jul 2018 05:00:00 -0000

ros-rolling-ros2pkg (0.5.2-2resolute) resolute; urgency=high

  * Fix tests to use packages which register themselves at the index. (#118 <https://github.com/ros2/ros2cli/issues/118>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-rolling-ros2pkg (0.5.1-2resolute) resolute; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 17:27:00 -0000

ros-rolling-ros2pkg (0.5.0-2resolute) resolute; urgency=high

  * Ros2pkg: avoid requiring git. (#111 <https://github.com/ros2/ros2cli/issues/111>)
  * Implementation for #89 <https://github.com/ros2/ros2cli/issues/89>. (#96 <https://github.com/ros2/ros2cli/issues/96>)
    * Implementation for #89 <https://github.com/ros2/ros2cli/issues/89>
    ``` bash
    $ ros2 pkg prefix ament_flake8
    /home/nick/ros2_ws/install
    $ ros2 pkg prefix --share ament_flake8
    /home/nick/ros2_ws/install
    Share dir: /home/nick/ros2_ws/install/share/ament_flake8
    $ ros2 pkg prefix -h
    usage: ros2 pkg prefix [-h] [--share] package_name
    Output the prefix path of a package
    positional arguments:
    package_name  The package name
    optional arguments:
    -h, --help    show this help message and exit
    --share       show share directory for the package
    ```
    * Revert "Implementation for #89 <https://github.com/ros2/ros2cli/issues/89>"
    This reverts commit 8bec852
    * Implementation for #89 <https://github.com/ros2/ros2cli/issues/89>, addressing PR feedback
  * Use catkin_pkg. (#94 <https://github.com/ros2/ros2cli/issues/94>)
  * Add pytest markers to linter tests
  * Add ament_package dependency. (#90 <https://github.com/ros2/ros2cli/issues/90>)
  * Fix installation of templates for ros2pkg create. (#87 <https://github.com/ros2/ros2cli/issues/87>)
    * Move resource dir out of package
    * Install templates to share dir as data_files
    * Remove unnecessary __file__ prefix
    * Revert "Move resource dir out of package"
    This reverts commit 90556f6313c0f2ad996488c6a8b873c658d6627c.
    * Swap to package_data installation
    Will install to e.g. install_isolated/ros2pkg/lib/python3.5/site-packages/ros2pkg/resource
    which is where it was being looked for previously
    * Add exec_depends for third party python packages
    * Set zip_safe to True
    * Add/use _get_template_path
    Prevents resource_filename from extracting whole directory if
    installation is zipped
    * Embed _get_template_path contents
    * Exec depend on python3-pkg-resources
  * Merge pull request #85 <https://github.com/ros2/ros2cli/issues/85> from ros2/avoid_builtin_use
    Avoid use of license as variable name
  * Avoid use of license as variable name
  * Set zip_safe to avoid warning during installation. (#83 <https://github.com/ros2/ros2cli/issues/83>)
  * Ros2 pkg create. (#42 <https://github.com/ros2/ros2cli/issues/42>)
    * Initial commit for ros2 pkg create
    * Managed interpreter
    * Cleanup cmakelists.txt.em
    * Single quote prints
    * Alpha order
    * Copy paste error correction
    * Ament-cmake -> ament_cmake
    * Fix typo
    * Style
    * Correct line breaks in cmake
    * Enhance CMakeLists.txt with testing section
    * Clear separation between ament_cmake and plain cmake
    * Whitespace
    * Alpha order
    * Import order
    * Use platform for uname
    * Address style comments
    * Add include and header file if building library
    * Use git config to get email and username
    * Use os.curdir
    * Cleanup cmake config
    * Address style comments
    * Disable some linters
    * Cleanup prints
    * Print error message in a single statement
    * Consolidate block
    * Add comment about disabled linters
    * Switch back to format 2 for now
    * Use build type in help text rather than build tool
    * Build type
    * Deb --> dep
    * Ament_common --> ament_lint_common
    * Use target_include_directories
    * Target_include_dir and export
    * Export symbols on plain cmake
    * Use library/node name for targets
    * Naming convention for export targets
    * Rethink nargs
    * Using ament_package data types
    * Linters
    * Set correct values in package.xml
    * Clean up package.xml with buldtool_depends and test_depends
  * Print full help when no command is passed. (#81 <https://github.com/ros2/ros2cli/issues/81>)
  * Contributors: Dirk Thomas, Karsten Knese, Mikael Arguedas, Nick Medveditskov, dhood

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 17:17:00 -0000

ros-rolling-ros2pkg (0.4.0-2resolute) resolute; urgency=high

  * Remove test_suite, add pytest as test_requires
  * 0.0.3
  * Implicitly inherit from object. (#45 <https://github.com/ros2/ros2cli/issues/45>)
  * 0.0.2
  * Add ros2 pkg executables. (#23 <https://github.com/ros2/ros2cli/issues/23>)
    * Add ros2 pkg executables
    * Print basenames by default, option to print full path
  * Merge pull request #14 <https://github.com/ros2/ros2cli/issues/14> from ros2/add_tests
    add unit tests
  * Add unit tests
  * Merge pull request #5 <https://github.com/ros2/ros2cli/issues/5> from ros2/pep257
    add pep257 tests
  * Add pep257 tests
  * Merge pull request #1 <https://github.com/ros2/ros2cli/issues/1> from ros2/initial_features
    Entry point, plugin system, daemon, existing tools
  * Add ros2pkg for listing packages and retrieve their prefix
  * Contributors: Dirk Thomas, Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Dec 2017 06:00:00 -0000


